Bug 110739 - qt-devel should Requires: XFree86-devel
qt-devel should Requires: XFree86-devel
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: qt (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-24 07:40 EST by Maxim Dziumanenko
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-26 15:47:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maxim Dziumanenko 2003-11-24 07:40:25 EST
Description of problem:
qt_x11.h file from gt-devel package requires some *.h  files provided
by XFree86-devel package, so qt-devel should Requires: XFree86-devel

Version-Release number of selected component (if applicable):
emacs-21.3-7

How reproducible:
Always

Steps to Reproduce:
1.rpm -e autoconf213
2.rpmbuild --rebuild emacs-21.3-7.src.rpm
3.Wait for build errors
  
Actual results:


Expected results:


Additional info:
Comment 1 Maxim Dziumanenko 2003-11-24 07:47:17 EST
Sorry. Emacs has nothing to do with this bug.

Steps to reproduce should be:
1.rpm -i qt-devel
2.rpm -e XFree86-devel
2.rpmbuild --rebuild doxygen-1.3.4-1.src.rpm (doxygen requires
qt-devel to build)
3.Wait for build errors
Comment 2 Miloslav Trmac 2003-11-24 09:45:26 EST
Triage->Easyfix
Comment 3 Ngo Than 2003-11-26 15:47:43 EST
it's fixed in 3.2.3-0.2. Thanks for your report

Note You need to log in before you can comment on or make changes to this bug.